/* SPDX-License-Identifier: GPL-2.0 WITH Linux-syscall-note */

#ifndef __UAPI_XILINX_CSI2RXSS_H__
#define __UAPI_XILINX_CSI2RXSS_H__

#include <linux/videodev2.h>

/*
 * Events
 *
 * V4L2_EVENT_XLNXCSIRX_SPKT: Short packet received
 * V4L2_EVENT_XLNXCSIRX_SPKT_OVF: Short packet FIFO overflow
 * V4L2_EVENT_XLNXCSIRX_SLBF: Stream line buffer full
 */
#define V4L2_EVENT_XLNXCSIRX_CLASS	(V4L2_EVENT_PRIVATE_START | 0x100)
#define V4L2_EVENT_XLNXCSIRX_SPKT	(V4L2_EVENT_XLNXCSIRX_CLASS | 0x1)
#define V4L2_EVENT_XLNXCSIRX_SPKT_OVF	(V4L2_EVENT_XLNXCSIRX_CLASS | 0x2)
#define V4L2_EVENT_XLNXCSIRX_SLBF	(V4L2_EVENT_XLNXCSIRX_CLASS | 0x3)

#endif /* __UAPI_XILINX_CSI2RXSS_H__ */
